<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Block Scoped Variables</h1>
</body>

<script>
    function foo() {
        if (true) {
            var fruit1 = 'apple';
            const fruit2 = 'banana';
            let fruit3 = 'strawberry';
        }
        console.log(fruit1); //apple
        console.log(fruit2); // ReferenceError: fruit2 is not defined
        console.log(fruit3); //ReferenceError: fruit3 is not defined
    }
    foo();

    //Output: ghi được ra console giá trị của  biến  fruit1,
    // Biển fruit 2 và fruit 3 lỗi vì là biến block scoped và nằm ngoài pham vi chứa biến.
</script>

</html>